"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "CollectionResult",
  props: ["valueModel"],
  emits: ["update:valueModel"],
  setup(__props, { emit }) {
    const props = __props;
    const valueModel = common_vendor.ref("");
    const handleSelect = (e) => {
      valueModel.value = e == null ? void 0 : e.type;
      emit("update:valueModel", e == null ? void 0 : e.type);
    };
    const list = [
      {
        label: "承若缴费",
        des: "住户承诺指定时间内缴费",
        type: "PromiseToPay",
        bgColor: "#E7FFD6",
        color: "##00B75F"
      },
      {
        label: "拒绝缴费",
        des: "住户明确拒绝缴费",
        type: "RefuseToPay",
        bgColor: "#FFE8E8",
        color: "#DF3600"
      },
      {
        label: "未联系到",
        des: "无法联系到住户",
        type: "NotReached",
        bgColor: "#E8E8E8",
        color: "#666666"
      },
      {
        label: "需要跟进",
        des: "需要后续继续跟进",
        type: "NeedFollowUp",
        bgColor: "#E8F2FF",
        color: "#0082FA"
      }
    ];
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(list, (i, index, i0) => {
          return common_vendor.e({
            a: common_vendor.t(i == null ? void 0 : i.label),
            b: i == null ? void 0 : i.color,
            c: i == null ? void 0 : i.bgColor,
            d: (props == null ? void 0 : props.valueModel) === (i == null ? void 0 : i.type) || valueModel.value === (i == null ? void 0 : i.type)
          }, (props == null ? void 0 : props.valueModel) === (i == null ? void 0 : i.type) || valueModel.value === (i == null ? void 0 : i.type) ? {
            e: "62ac5915-0-" + i0,
            f: common_vendor.p({
              type: "circle-filled",
              size: "18",
              color: "#0082FA"
            })
          } : {
            g: "62ac5915-1-" + i0,
            h: common_vendor.p({
              type: "circle",
              size: "18",
              color: "#999"
            })
          }, {
            i: common_vendor.t(i == null ? void 0 : i.des),
            j: `item_${index}`,
            k: common_vendor.o(($event) => handleSelect(i), `item_${index}`)
          });
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-62ac5915"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/outstanding_fee/components/CollectionResult.vue"]]);
wx.createComponent(Component);
